
Redmine - Defect #35062

Back URLs with <t+ operator break

2021-04-09 16:36 - Felix Schäfer

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

This is a problem we noticed but haven't been able to correct yet. Maybe someone else will find a good solution for this.

Steps to reproduce:

- Navigate to the issue list in a project

- Add the filter "Due date" "in less than" "30 days" and apply, this should put the Issue Query in the parameters of the URL of the

browser

- Navigate to "Log time" in the + menu

- Enter some data and click "Create" or click "Cancel"

This results in a RuntimeError in IssuesController#index Unknown query operator <t

At some point the <t+ from the Referer URL doesn't get re-encoded properly and the + becomes a space in the URL. This confuses

the Query model.

Related issues:

Related to Redmine - Patch #35312: Gracefully handle invalid operators and as... Closed

History

#1 - 2021-05-25 20:08 - Holger Just

- Related to Patch #35312: Gracefully handle invalid operators and associations requested in queries added

#2 - 2022-01-18 02:46 - Go MAEDA

- Status changed from New to Confirmed

#3 - 2022-01-18 20:10 - Holger Just

To quote myself from #35312#note-2:

This patch [comitted to trunk in #35312] probably masks the underlying issue in #35062 (by rendering a 404 instead of a 500 there). The root

cause of this issue should probably still be checked.
